/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: WindowArrange.idl,v $
 * $Revision: 1.7 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_frame_WindowArrange_idl__
#define __com_sun_star_frame_WindowArrange_idl__

//=============================================================================

 module com {  module sun {  module star {  module frame {

//=============================================================================
/** these constants are used to specify a style of window arrangement
 */
published constants WindowArrange
{
    //-------------------------------------------------------------------------
    /** arranges the windows in tiles
     */
    const short TILE = 1;

    //-------------------------------------------------------------------------
    /** arranges the windows vertically
     */
    const short VERTICAL = 2;

    //-------------------------------------------------------------------------
    /** arranges the windows horizontally
     */
    const short HORIZONTAL = 3;

    //-------------------------------------------------------------------------
    /** cascades the windows
     */
    const short CASCADE = 4;

    //-------------------------------------------------------------------------
    /** maximizes all windows
     */
    const short MAXIMIZE = 5;

    //-------------------------------------------------------------------------
    /** minimizes all windows
     */
    const short MINIMIZE = 6;
};

//=============================================================================

}; }; }; };

#endif
